paths:
  /api/auth/register:
    post:
      summary: Register a new user
      tags: [Auth]
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - name
                - email
                - password
              properties:
                name:
                  type: string
                  example: Sadikxya
                email:
                  type: string
                  format: email
                  example: sadikxya@gmail.com
                password:
                  type: string
                  format: password
                  example: Admin123!
      responses:
        201:
          description: User registered successfully

  /api/auth/login:
    post:
      summary: Login a user
      tags: [Auth]
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - email
                - password
              properties:
                email:
                  type: string
                  format: email
                  example: sadikxya@gmail.com
                password:
                  type: string
                  format: password
                  example: Admin123!
      responses:
        200:
          description: User logged in successfully
          
  /api/auth/logout:
    post:
      summary: Logout a user
      tags: [Auth]
      security:
        - BearerAuth: []
      responses:
        200:
          description: User logged out successfully
        401:
          description: Unauthorized
        403:
          description: Forbidden